config.h File Reference

Go to the source code of this file.

## Macros

#define | HAVE_ARPA_INET_H 1
#define | HAVE_ASCTIME_R 1
#define | HAVE_ATTR_FORMAT 1
#define | HAVE_ATTR_UNUSED 1
#define | HAVE_BZERO 1
#define | HAVE_CALLOC 1
#define | HAVE_CONF_MODULES_UNLOAD 1
#define | HAVE_CRYPTO_MEMCMP 1
#define | HAVE_CTIME_R 1
#define | HAVE_DANE_CA_FILE 0
#define | HAVE_DANE_CA_PATH 0
#define | HAVE_DECL_EVP_PKEY_BASE_ID 1
#define | HAVE_DECL_INET_NTOP 1
#define | HAVE_DECL_INET_PTON 1
#define | HAVE_DECL_NID_ED25519 1
#define | HAVE_DECL_NID_ED448 1
#define | HAVE_DECL_NID_SECP384R1 1
#define | HAVE_DECL_NID_X9_62_PRIME256V1 1
#define | HAVE_DLFCN_H 1
#define | HAVE_DSA_GET0_KEY 1
#define | HAVE_DSA_GET0_PQG 1
#define | HAVE_DSA_SIG_GET0 1
#define | HAVE_DSA_SIG_SET0 1
#define | HAVE_ECDSA_SIG_GET0 1
#define | HAVE_ENDPROTOENT 1
#define | HAVE_ENDSERVENT 1
#define | HAVE_ENGINE_FREE 1
#define | HAVE_EVP_MD_CTX_NEW 1
#define | HAVE_EVP_PKEY_BASE_ID 1
#define | HAVE_EVP_PKEY_GET_BASE_ID 1
#define | HAVE_EVP_PKEY_KEYGEN 1
#define | HAVE_EVP_SHA256 1
#define | HAVE_EVP_SHA384 1
#define | HAVE_EVP_SHA512 1
#define | HAVE_FCNTL 1
#define | HAVE_FORK 1
#define | HAVE_FORK_AVAILABLE 1
#define | HAVE_GETADDRINFO 1
#define | HAVE_GETOPT_H 1
#define | HAVE_GMTIME_R 1
#define | HAVE_INET_ATON 1
#define | HAVE_INET_NTOP 1
#define | HAVE_INET_PTON 1
#define | HAVE_INTTYPES_H 1
#define | HAVE_ISASCII 1
#define | HAVE_ISBLANK 1
#define | HAVE_LIBPCAP 1
#define | HAVE_LOCALTIME_R 1
#define | HAVE_MEMMOVE 1
#define | HAVE_MEMSET 1
#define | HAVE_NETDB_H 1
#define | HAVE_NETINET_IF_ETHER_H 1
#define | HAVE_NETINET_IGMP_H 1
#define | HAVE_NETINET_IN_H 1
#define | HAVE_NETINET_IN_SYSTM_H 1
#define | HAVE_NETINET_IP6_H 1
#define | HAVE_NETINET_IP_H 1
#define | HAVE_NETINET_UDP_H 1
#define | HAVE_NET_ETHERNET_H 1
#define | HAVE_NET_IF_H 1
#define | HAVE_OPENSSL_CONF_H 1
#define | HAVE_OPENSSL_ENGINE_H 1
#define | HAVE_OPENSSL_ERR_H 1
#define | HAVE_OPENSSL_EVP_H 1
#define | HAVE_OPENSSL_INIT_CRYPTO 1
#define | HAVE_OPENSSL_RAND_H 1
#define | HAVE_OPENSSL_SSL_H 1
#define | HAVE_PCAP_H 1
#define | HAVE_POLL 1
#define | HAVE_PYTHON "3.13"
#define | HAVE_RANDOM 1
#define | HAVE_SLEEP 1
#define | HAVE_SNPRINTF 1
#define | HAVE_SSL
#define | HAVE_STDARG_H 1
#define | HAVE_STDBOOL_H 1
#define | HAVE_STDINT_H 1
#define | HAVE_STDIO_H 1
#define | HAVE_STDLIB_H 1
#define | HAVE_STRINGS_H 1
#define | HAVE_STRING_H 1
#define | HAVE_STRLCPY 1
#define | HAVE_STRTOUL 1
#define | HAVE_SWIG 1
#define | HAVE_SYMLINK 1
#define | HAVE_SYS_MOUNT_H 1
#define | HAVE_SYS_PARAM_H 1
#define | HAVE_SYS_SOCKET_H 1
#define | HAVE_SYS_STAT_H 1
#define | HAVE_SYS_TYPES_H 1
#define | HAVE_TIMEGM 1
#define | HAVE_TIME_H 1
#define | HAVE_UNISTD_H 1
#define | HAVE_VFORK 1
#define | HAVE_WCHAR_H 1
#define | HAVE_WORKING_FORK 1
#define | HAVE_WORKING_VFORK 1
#define | HAVE__BOOL 1
#define | LT_OBJDIR ".libs/"
#define | PACKAGE_BUGREPORT "dns-team@nlnetlabs.nl"
#define | PACKAGE_NAME "ldns"
#define | PACKAGE_STRING "ldns 1.8.4"
#define | PACKAGE_TARNAME "libdns"
#define | PACKAGE_URL ""
#define | PACKAGE_VERSION "1.8.4"
#define | RRTYPE_AMTRELAY
#define | RRTYPE_OPENPGPKEY
#define | RRTYPE_RESINFO
#define | RRTYPE_SVCB_HTTPS
#define | SIZEOF_TIME_T 8
#define | STDC_HEADERS 1
#define | SYSCONFDIR sysconfdir
#define | USE_DANE 1
#define | USE_DANE_TA_USAGE 1
#define | USE_DANE_VERIFY 1
#define | USE_DSA 1
#define | USE_ECDSA 1
#define | USE_ED25519 1
#define | USE_ED448 1
#define | USE_SHA2 1
#define | _ALL_SOURCE 1
#define | _DARWIN_C_SOURCE 1
#define | __EXTENSIONS__ 1
#define | _GNU_SOURCE 1
#define | _HPUX_ALT_XOPEN_SOCKET_API 1
#define | _NETBSD_SOURCE 1
#define | _OPENBSD_SOURCE 1
#define | _POSIX_PTHREAD_SEMANTICS 1
#define | __STDC_WANT_IEC_60559_ATTRIBS_EXT__ 1
#define | __STDC_WANT_IEC_60559_BFP_EXT__ 1
#define | __STDC_WANT_IEC_60559_DFP_EXT__ 1
#define | __STDC_WANT_IEC_60559_EXT__ 1
#define | __STDC_WANT_IEC_60559_FUNCS_EXT__ 1
#define | __STDC_WANT_IEC_60559_TYPES_EXT__ 1
#define | __STDC_WANT_LIB_EXT2__ 1
#define | __STDC_WANT_MATH_SPEC_FUNCS__ 1
#define | _TANDEM_SOURCE 1
#define | WINVER 0x0502
#define | _NETBSD_SOURCE 1
#define | LITTLE_ENDIAN 1234
#define | BIG_ENDIAN 4321
#define | BYTE_ORDER LITTLE_ENDIAN
#define | FD_SET_T
#define | SOCK_INVALID -1
#define | close_socket(_s) do { if (_s != SOCK_INVALID) {close(_s); _s = -1;} } while(0)

## Functions

int | ldns_b64_ntop (uint8_t const *src, size_t srclength, char *target, size_t targsize)
int | ldns_b64_pton (char const *src, uint8_t *target, size_t targsize)
int | ldns_dname_compare_v (const void *a, const void *b)
| Given in dnssec_zone.c, also used in dnssec_sign.c:w.

## Macro Definition Documentation

## HAVE_ARPA_INET_H

#define HAVE_ARPA_INET_H 1

Definition at line 8 of file config.h.

## HAVE_ASCTIME_R

#define HAVE_ASCTIME_R 1

Definition at line 11 of file config.h.

## HAVE_ATTR_FORMAT

#define HAVE_ATTR_FORMAT 1

Definition at line 14 of file config.h.

## HAVE_ATTR_UNUSED

#define HAVE_ATTR_UNUSED 1

Definition at line 17 of file config.h.

## HAVE_BZERO

#define HAVE_BZERO 1

Definition at line 32 of file config.h.

## HAVE_CALLOC

#define HAVE_CALLOC 1

Definition at line 35 of file config.h.

## HAVE_CONF_MODULES_UNLOAD

#define HAVE_CONF_MODULES_UNLOAD 1

Definition at line 38 of file config.h.

## HAVE_CRYPTO_MEMCMP

#define HAVE_CRYPTO_MEMCMP 1

Definition at line 44 of file config.h.

## HAVE_CTIME_R

#define HAVE_CTIME_R 1

Definition at line 47 of file config.h.

## HAVE_DANE_CA_FILE

#define HAVE_DANE_CA_FILE 0

Definition at line 50 of file config.h.

## HAVE_DANE_CA_PATH

#define HAVE_DANE_CA_PATH 0

Definition at line 53 of file config.h.

## HAVE_DECL_EVP_PKEY_BASE_ID

#define HAVE_DECL_EVP_PKEY_BASE_ID 1

Definition at line 57 of file config.h.

## HAVE_DECL_INET_NTOP

#define HAVE_DECL_INET_NTOP 1

Definition at line 61 of file config.h.

## HAVE_DECL_INET_PTON

#define HAVE_DECL_INET_PTON 1

Definition at line 65 of file config.h.

## HAVE_DECL_NID_ED25519

#define HAVE_DECL_NID_ED25519 1

Definition at line 69 of file config.h.

## HAVE_DECL_NID_ED448

#define HAVE_DECL_NID_ED448 1

Definition at line 73 of file config.h.

## HAVE_DECL_NID_SECP384R1

#define HAVE_DECL_NID_SECP384R1 1

Definition at line 77 of file config.h.

## HAVE_DECL_NID_X9_62_PRIME256V1

#define HAVE_DECL_NID_X9_62_PRIME256V1 1

Definition at line 81 of file config.h.

## HAVE_DLFCN_H

#define HAVE_DLFCN_H 1

Definition at line 84 of file config.h.

## HAVE_DSA_GET0_KEY

#define HAVE_DSA_GET0_KEY 1

Definition at line 87 of file config.h.

## HAVE_DSA_GET0_PQG

#define HAVE_DSA_GET0_PQG 1

Definition at line 90 of file config.h.

## HAVE_DSA_SIG_GET0

#define HAVE_DSA_SIG_GET0 1

Definition at line 93 of file config.h.

## HAVE_DSA_SIG_SET0

#define HAVE_DSA_SIG_SET0 1

Definition at line 96 of file config.h.

## HAVE_ECDSA_SIG_GET0

#define HAVE_ECDSA_SIG_GET0 1

Definition at line 99 of file config.h.

## HAVE_ENDPROTOENT

#define HAVE_ENDPROTOENT 1

Definition at line 102 of file config.h.

## HAVE_ENDSERVENT

#define HAVE_ENDSERVENT 1

Definition at line 105 of file config.h.

## HAVE_ENGINE_FREE

#define HAVE_ENGINE_FREE 1

Definition at line 111 of file config.h.

## HAVE_EVP_MD_CTX_NEW

#define HAVE_EVP_MD_CTX_NEW 1

Definition at line 126 of file config.h.

## HAVE_EVP_PKEY_BASE_ID

#define HAVE_EVP_PKEY_BASE_ID 1

Definition at line 129 of file config.h.

## HAVE_EVP_PKEY_GET_BASE_ID

#define HAVE_EVP_PKEY_GET_BASE_ID 1

Definition at line 132 of file config.h.

## HAVE_EVP_PKEY_KEYGEN

#define HAVE_EVP_PKEY_KEYGEN 1

Definition at line 135 of file config.h.

## HAVE_EVP_SHA256

#define HAVE_EVP_SHA256 1

Definition at line 138 of file config.h.

## HAVE_EVP_SHA384

#define HAVE_EVP_SHA384 1

Definition at line 141 of file config.h.

## HAVE_EVP_SHA512

#define HAVE_EVP_SHA512 1

Definition at line 144 of file config.h.

## HAVE_FCNTL

#define HAVE_FCNTL 1

Definition at line 147 of file config.h.

## HAVE_FORK

#define HAVE_FORK 1

Definition at line 150 of file config.h.

## HAVE_FORK_AVAILABLE

#define HAVE_FORK_AVAILABLE 1

Definition at line 153 of file config.h.

## HAVE_GETADDRINFO

#define HAVE_GETADDRINFO 1

Definition at line 156 of file config.h.

## HAVE_GETOPT_H

#define HAVE_GETOPT_H 1

Definition at line 159 of file config.h.

## HAVE_GMTIME_R

#define HAVE_GMTIME_R 1

Definition at line 162 of file config.h.

## HAVE_INET_ATON

#define HAVE_INET_ATON 1

Definition at line 165 of file config.h.

## HAVE_INET_NTOP

#define HAVE_INET_NTOP 1

Definition at line 168 of file config.h.

## HAVE_INET_PTON

#define HAVE_INET_PTON 1

Definition at line 171 of file config.h.

## HAVE_INTTYPES_H

#define HAVE_INTTYPES_H 1

Definition at line 174 of file config.h.

## HAVE_ISASCII

#define HAVE_ISASCII 1

Definition at line 180 of file config.h.

## HAVE_ISBLANK

#define HAVE_ISBLANK 1

Definition at line 183 of file config.h.

## HAVE_LIBPCAP

#define HAVE_LIBPCAP 1

Definition at line 186 of file config.h.

## HAVE_LOCALTIME_R

#define HAVE_LOCALTIME_R 1

Definition at line 192 of file config.h.

## HAVE_MEMMOVE

#define HAVE_MEMMOVE 1

Definition at line 195 of file config.h.

## HAVE_MEMSET

#define HAVE_MEMSET 1

Definition at line 198 of file config.h.

## HAVE_NETDB_H

#define HAVE_NETDB_H 1

Definition at line 204 of file config.h.

## HAVE_NETINET_IF_ETHER_H

#define HAVE_NETINET_IF_ETHER_H 1

Definition at line 207 of file config.h.

## HAVE_NETINET_IGMP_H

#define HAVE_NETINET_IGMP_H 1

Definition at line 210 of file config.h.

## HAVE_NETINET_IN_H

#define HAVE_NETINET_IN_H 1

Definition at line 213 of file config.h.

## HAVE_NETINET_IN_SYSTM_H

#define HAVE_NETINET_IN_SYSTM_H 1

Definition at line 216 of file config.h.

## HAVE_NETINET_IP6_H

#define HAVE_NETINET_IP6_H 1

Definition at line 219 of file config.h.

## HAVE_NETINET_IP_H

#define HAVE_NETINET_IP_H 1

Definition at line 225 of file config.h.

## HAVE_NETINET_UDP_H

#define HAVE_NETINET_UDP_H 1

Definition at line 228 of file config.h.

## HAVE_NET_ETHERNET_H

#define HAVE_NET_ETHERNET_H 1

Definition at line 231 of file config.h.

## HAVE_NET_IF_H

#define HAVE_NET_IF_H 1

Definition at line 234 of file config.h.

## HAVE_OPENSSL_CONF_H

#define HAVE_OPENSSL_CONF_H 1

Definition at line 237 of file config.h.

## HAVE_OPENSSL_ENGINE_H

#define HAVE_OPENSSL_ENGINE_H 1

Definition at line 240 of file config.h.

## HAVE_OPENSSL_ERR_H

#define HAVE_OPENSSL_ERR_H 1

Definition at line 243 of file config.h.

## HAVE_OPENSSL_EVP_H

#define HAVE_OPENSSL_EVP_H 1

Definition at line 246 of file config.h.

## HAVE_OPENSSL_INIT_CRYPTO

#define HAVE_OPENSSL_INIT_CRYPTO 1

Definition at line 249 of file config.h.

## HAVE_OPENSSL_RAND_H

#define HAVE_OPENSSL_RAND_H 1

Definition at line 255 of file config.h.

## HAVE_OPENSSL_SSL_H

#define HAVE_OPENSSL_SSL_H 1

Definition at line 258 of file config.h.

## HAVE_PCAP_H

#define HAVE_PCAP_H 1

Definition at line 261 of file config.h.

## HAVE_POLL

#define HAVE_POLL 1

Definition at line 264 of file config.h.

## HAVE_PYTHON

#define HAVE_PYTHON "3.13"

Definition at line 267 of file config.h.

## HAVE_RANDOM

#define HAVE_RANDOM 1

Definition at line 270 of file config.h.

## HAVE_SLEEP

#define HAVE_SLEEP 1

Definition at line 273 of file config.h.

## HAVE_SNPRINTF

#define HAVE_SNPRINTF 1

Definition at line 276 of file config.h.

## HAVE_SSL

#define HAVE_SSL

Definition at line 279 of file config.h.

## HAVE_STDARG_H

#define HAVE_STDARG_H 1

Definition at line 282 of file config.h.

## HAVE_STDBOOL_H

#define HAVE_STDBOOL_H 1

Definition at line 285 of file config.h.

## HAVE_STDINT_H

#define HAVE_STDINT_H 1

Definition at line 288 of file config.h.

## HAVE_STDIO_H

#define HAVE_STDIO_H 1

Definition at line 291 of file config.h.

## HAVE_STDLIB_H

#define HAVE_STDLIB_H 1

Definition at line 294 of file config.h.

## HAVE_STRINGS_H

#define HAVE_STRINGS_H 1

Definition at line 297 of file config.h.

## HAVE_STRING_H

#define HAVE_STRING_H 1

Definition at line 300 of file config.h.

## HAVE_STRLCPY

#define HAVE_STRLCPY 1

Definition at line 303 of file config.h.

## HAVE_STRTOUL

#define HAVE_STRTOUL 1

Definition at line 306 of file config.h.

## HAVE_SWIG

#define HAVE_SWIG 1

Definition at line 309 of file config.h.

## HAVE_SYMLINK

#define HAVE_SYMLINK 1

Definition at line 312 of file config.h.

## HAVE_SYS_MOUNT_H

#define HAVE_SYS_MOUNT_H 1

Definition at line 315 of file config.h.

## HAVE_SYS_PARAM_H

#define HAVE_SYS_PARAM_H 1

Definition at line 318 of file config.h.

## HAVE_SYS_SOCKET_H

#define HAVE_SYS_SOCKET_H 1

Definition at line 321 of file config.h.

## HAVE_SYS_STAT_H

#define HAVE_SYS_STAT_H 1

Definition at line 324 of file config.h.

## HAVE_SYS_TYPES_H

#define HAVE_SYS_TYPES_H 1

Definition at line 327 of file config.h.

## HAVE_TIMEGM

#define HAVE_TIMEGM 1

Definition at line 333 of file config.h.

## HAVE_TIME_H

#define HAVE_TIME_H 1

Definition at line 336 of file config.h.

## HAVE_UNISTD_H

#define HAVE_UNISTD_H 1

Definition at line 339 of file config.h.

## HAVE_VFORK

#define HAVE_VFORK 1

Definition at line 342 of file config.h.

## HAVE_WCHAR_H

#define HAVE_WCHAR_H 1

Definition at line 348 of file config.h.

## HAVE_WORKING_FORK

#define HAVE_WORKING_FORK 1

Definition at line 354 of file config.h.

## HAVE_WORKING_VFORK

#define HAVE_WORKING_VFORK 1

Definition at line 357 of file config.h.

## HAVE__BOOL

#define HAVE__BOOL 1

Definition at line 363 of file config.h.

## LT_OBJDIR

#define LT_OBJDIR ".libs/"

Definition at line 372 of file config.h.

## PACKAGE_BUGREPORT

#define PACKAGE_BUGREPORT "dns-team@nlnetlabs.nl"

Definition at line 375 of file config.h.

## PACKAGE_NAME

#define PACKAGE_NAME "ldns"

Definition at line 378 of file config.h.

## PACKAGE_STRING

#define PACKAGE_STRING "ldns 1.8.4"

Definition at line 381 of file config.h.

## PACKAGE_TARNAME

#define PACKAGE_TARNAME "libdns"

Definition at line 384 of file config.h.

## PACKAGE_URL

#define PACKAGE_URL ""

Definition at line 387 of file config.h.

## PACKAGE_VERSION

#define PACKAGE_VERSION "1.8.4"

Definition at line 390 of file config.h.

## RRTYPE_AMTRELAY

#define RRTYPE_AMTRELAY

Definition at line 393 of file config.h.

## RRTYPE_OPENPGPKEY

#define RRTYPE_OPENPGPKEY

Definition at line 405 of file config.h.

## RRTYPE_RESINFO

#define RRTYPE_RESINFO

Definition at line 408 of file config.h.

## RRTYPE_SVCB_HTTPS

#define RRTYPE_SVCB_HTTPS

Definition at line 414 of file config.h.

## SIZEOF_TIME_T

#define SIZEOF_TIME_T 8

Definition at line 420 of file config.h.

## STDC_HEADERS

#define STDC_HEADERS 1

Definition at line 425 of file config.h.

## SYSCONFDIR

#define SYSCONFDIR sysconfdir

Definition at line 431 of file config.h.

## USE_DANE

#define USE_DANE 1

Definition at line 434 of file config.h.

## USE_DANE_TA_USAGE

#define USE_DANE_TA_USAGE 1

Definition at line 437 of file config.h.

## USE_DANE_VERIFY

#define USE_DANE_VERIFY 1

Definition at line 440 of file config.h.

## USE_DSA

#define USE_DSA 1

Definition at line 443 of file config.h.

## USE_ECDSA

#define USE_ECDSA 1

Definition at line 446 of file config.h.

## USE_ED25519

#define USE_ED25519 1

Definition at line 449 of file config.h.

## USE_ED448

#define USE_ED448 1

Definition at line 452 of file config.h.

## USE_SHA2

#define USE_SHA2 1

Definition at line 458 of file config.h.

## _ALL_SOURCE

#define _ALL_SOURCE 1

Definition at line 462 of file config.h.

## _DARWIN_C_SOURCE

#define _DARWIN_C_SOURCE 1

Definition at line 466 of file config.h.

## __EXTENSIONS__

#define __EXTENSIONS__ 1

Definition at line 470 of file config.h.

## _GNU_SOURCE

#define _GNU_SOURCE 1

Definition at line 474 of file config.h.

## _HPUX_ALT_XOPEN_SOCKET_API

#define _HPUX_ALT_XOPEN_SOCKET_API 1

Definition at line 479 of file config.h.

## _NETBSD_SOURCE [1/2]

#define _NETBSD_SOURCE 1

Definition at line 490 of file config.h.

## _OPENBSD_SOURCE

#define _OPENBSD_SOURCE 1

Definition at line 495 of file config.h.

## _POSIX_PTHREAD_SEMANTICS

#define _POSIX_PTHREAD_SEMANTICS 1

Definition at line 507 of file config.h.

## __STDC_WANT_IEC_60559_ATTRIBS_EXT__

#define __STDC_WANT_IEC_60559_ATTRIBS_EXT__ 1

Definition at line 511 of file config.h.

## __STDC_WANT_IEC_60559_BFP_EXT__

#define __STDC_WANT_IEC_60559_BFP_EXT__ 1

Definition at line 515 of file config.h.

## __STDC_WANT_IEC_60559_DFP_EXT__

#define __STDC_WANT_IEC_60559_DFP_EXT__ 1

Definition at line 519 of file config.h.

## __STDC_WANT_IEC_60559_EXT__

#define __STDC_WANT_IEC_60559_EXT__ 1

Definition at line 523 of file config.h.

## __STDC_WANT_IEC_60559_FUNCS_EXT__

#define __STDC_WANT_IEC_60559_FUNCS_EXT__ 1

Definition at line 527 of file config.h.

## __STDC_WANT_IEC_60559_TYPES_EXT__

#define __STDC_WANT_IEC_60559_TYPES_EXT__ 1

Definition at line 531 of file config.h.

## __STDC_WANT_LIB_EXT2__

#define __STDC_WANT_LIB_EXT2__ 1

Definition at line 535 of file config.h.

## __STDC_WANT_MATH_SPEC_FUNCS__

#define __STDC_WANT_MATH_SPEC_FUNCS__ 1

Definition at line 539 of file config.h.

## _TANDEM_SOURCE

#define _TANDEM_SOURCE 1

Definition at line 543 of file config.h.

## WINVER

#define WINVER 0x0502

Definition at line 556 of file config.h.

## _NETBSD_SOURCE [2/2]

#define _NETBSD_SOURCE 1

Definition at line 490 of file config.h.

## LITTLE_ENDIAN

#define LITTLE_ENDIAN 1234

Definition at line 640 of file config.h.

## BIG_ENDIAN

#define BIG_ENDIAN 4321

Definition at line 644 of file config.h.

## BYTE_ORDER

#define BYTE_ORDER LITTLE_ENDIAN

Definition at line 651 of file config.h.

## FD_SET_T

#define FD_SET_T

Definition at line 689 of file config.h.

## SOCK_INVALID

#define SOCK_INVALID -1

Definition at line 779 of file config.h.

## close_socket

#define close_socket | ( |  | _s | ) | do { if (_s != SOCK_INVALID) {close(_s); _s = -1;} } while(0)

Definition at line 780 of file config.h.

## Function Documentation

## ldns_b64_ntop()

int ldns_b64_ntop | ( | uint8_t const * | src,
|  | size_t | srclength,
|  | char * | target,
|  | size_t | targsize
| ) |  |

## ldns_b64_pton()

int ldns_b64_pton | ( | char const * | src,
|  | uint8_t * | target,
|  | size_t | targsize
| ) |  |

## ldns_dname_compare_v()

int ldns_dname_compare_v | ( | const void * | a,
|  | const void * | b
| ) |  |

Given in dnssec_zone.c, also used in dnssec_sign.c:w.

Definition at line 906 of file dnssec_zone.c.

References ldns_dname_compare().